diff -Nuar asterisk-1.2.5.orig/db.c asterisk-1.2.5/db.c
--- asterisk-1.2.5.orig/db.c	2006-01-09 18:09:53.000000000 +0000
+++ asterisk-1.2.5/db.c	2006-03-21 18:06:13.000000000 +0000
@@ -582,6 +582,42 @@
 	return 0;
 }
 
+static int manager_dbdel(struct mansession *s, struct message *m)
+{
+	char *id = astman_get_header(m,"ActionID");
+	char idText[256] = "";
+	char *family = astman_get_header(m, "Family");
+	char *key = astman_get_header(m, "Key");
+	char tmp[256];
+	int res;
+
+	if (!strlen(family)) {
+		astman_send_error(s, m, "No family specified.");
+		return 0;
+	}
+	if (!strlen(key)) {
+		astman_send_error(s, m, "No key specified.");
+		return 0;
+	}
+
+	if (!ast_strlen_zero(id))
+		snprintf(idText, sizeof(idText) ,"ActionID: %s\r\n", id);
+
+	res = ast_db_del(family, key);
+	if (res) {
+		astman_send_error(s, m, "Database entry not found");
+	} else {
+		astman_send_ack(s, m, "Result will follow");
+		ast_cli(s->fd, "Event: DBDelResponse\r\n"
+				"Family: %s\r\n"
+				"Key: %s\r\n"
+				"Val: Deleted\r\n"
+				"\r\n",
+				family, key);
+	}
+	return 0;
+}
+
 int astdb_init(void)
 {
 	dbinit();
@@ -593,5 +629,6 @@
 	ast_cli_register(&cli_database_deltree);
 	ast_manager_register("DBGet", EVENT_FLAG_SYSTEM, manager_dbget, "Get DB Entry");
 	ast_manager_register("DBPut", EVENT_FLAG_SYSTEM, manager_dbput, "Put DB Entry");
+	ast_manager_register("DBdel", EVENT_FLAG_SYSTEM, manager_dbdel, "Delete DB Entry");
 	return 0;
 }
